StocksAndFisheriesKB - Bug #13334

FS type of record harvesting logic
Feb 14,2019 03:10 PM - Susana Segurado

Status: Closed Start date: Feb 14, 2019
Priority: Normal Due date:

Assignee: Yannis Marketakis % Done: 100%
Category: Estimated time: 0.00 hour
Target version: GRSF

Description

We have identified that FishSource assessment unit records that are nested under stocks are not being harvested into the GRSF.
We want to propose/review the following logic:

e FS records of type "Stock" with no nested assessment units be harvested as GRSF type "assessment unit";

¢ FS records of type "Stock" with nested assessment units not be harvested into GRSF;

¢ FS records of type "AssessmentUnit", whether they are top nodes or children nodes, be harvested as GRSF type "assessment
unit";

FS records of type "Unascertained" be harvested as GRSF type "marine resource".

Merul, could you please confirm that our APl is currently allowing for this from our side?

Related issues:
Related to StocksAndFisherieskKB - Bug #13289: biological stock being recogniz... Rejected Feb 06, 2019

History

#1 - Feb 27, 2019 11:33 AM - Marina Mendes

Hi Merul, could you please check Susana's request?
Thank you!

#2 - Feb 27,2019 11:52 AM - Marina Mendes

- Related to Bug #13289: biological stock being recognized as a marine resource added

#3 - Mar 18, 2019 05:20 PM - Merul Patel
- Status changed from New to In Progress

- Assignee changed from Merul Patel to Marina Mendes

Our API does return nested Assessment Units, see for example the data returned for the American Sea Scallop - US Atlantic:

{

"id": 653,

"name": "American sea scallop - US Atlantic",
"type": "Stock",

"children”: [

{

"id": 654,

"name": "Mid-Atlantic Bight",

"type": "AssessmentUnit"

2

{

"id": 655,

"name": "Western Georges Bank",
"type": "AssessmentUnit"

1

1

"species": {

"fao_name": "American sea scallop”,
"order": "Bivalvia",

"family": "Pectinidae",

"genus": "placopecten”,
"specific_descriptor": "magellanicus",
"code_3a": "SCA"

1

ishing_areas": [
{
"name": "FAO 21.5.Z.u",

"type": "FAO"

|3

{

"name": "FAO 21.6.A",
"type": "FAO"

|3

{

"name": "FAO 21.6.B",
"type": "FAQ"

|3

{

"name": "FAO 21.6.C",
"type": "FAO"

1
]

exploiting_fisheries": [
1381,

1382,

1383,

1384

1,

"management_units": [

{

"id": 821,

"name": "US 6A,B,C",
"organizations": [

{

"id": 2426,

"name": "New England Fishery Management Council",
"acronym": "NEFMC",
"country": "USA"

}

]

1)

{

"id": 822,

"name": "US 5Zu",
"organizations": [

{

"id": 2426,

"name": "New England Fishery Management Council",

"acronym": "NEFMC",

"country": "USA"

}

]

}

1,

"state_of _marine_resource": [

{

"text": "According to the new BRPs, Atlantic sea scallops are not overfished and overfishing is not occurring (NEFSC, 2007).\n\nF2006 =
0.23\nFMAX= 0.29\nB2006 = 166,200 tonnes meats\nBThreshold = 54,300 tonnes meatsTrends Historically, the Atlantic sea scallop fishery has
experienced dramatic cycles of biomass oscillations (usually more than ten years per cycle), categorizing it as a “boom and bust” fishery.\n\nIn the
period between 1998 and 2001, landings increased 264% from 5,879 tonnes to 21,404 tonnes (Baskaran and Anderson, 2005). The dramatic
increase was due partially to the opening of Closed Area Il in 1999. Exploitable biomass also increased dramatically from 55,014 tonnes in 1998 to
116,350 tonnes in 2001. Landings and biomass peaked in 2004 at the high point of the current cycle. Even during the downwards portion of the cycle,
projections account for these cyclical decreases, which helps to manage the resource effectively, and allow for the stock to remain at a healthy
status.",

"latest_citation_date": null,

"stock_or_assessment_unit_id": "653"

}

1,

"scientific_advice": [

{

"text": "In the U.S., scientific advice and management decisions are given and made by the same organization: NOAA Fisheries Service. Advice from
independent organizations, such as academic institutions and research organizations is also closely followed when making management decisions. It
is suggested that the target F for the sea scallop fishery should be set between 0.20 and 0.30 (EPA, 2006).Reference Points The improvement of the
primary assessment CASA model enable the setting of new Biological Reference Points (BRPs) which are based on yield-per-recruit, rather than
stock size and recruitment estimates, meaning that reference fishing mortality rate (F) used is FMAX, or, Fthreshold, rather than FMSY.\n\nThe
biological reference points adopted are as follows:\n\n \n\n\n\t\n\t\t\n\t\t\t\n\t\t\tPre-2007 BRPs\n\n\t\t\\tFMAX = 0.24 (FMSY proxy)\n\n\t\t\tFtarget =
0.20 (80% of threshold)\n\n\t\t\tBthreshold = 2.8 kg/tow\n\n\t\t\tBtarget = 5.6 kg/tow (BMSY proxy)\n\t\t\t\n\t\t\t\n\t\t\t 2007 BRPs\n\n\t\t\tFMAX =

0.29 (FMSY proxy)\n\n\t\t\tFtarget = 0.20 \n\n\t\t\tBthreshold = 54.3 kmt\n\n\t\t\tBtarget = 108.6 kmt (BMSY proxy)\m\t\t\t\n\t\t\n\t\n\n\n ",
"latest_citation_date": null,

"stock_or_assessment_unit_id": "653"
1

1,

"data_owners": [

{

"id": 2427,

"name": "Northeast Fisheries Science Center",
"country": "USA"

}

1,
"datafile": {

"id": 794,

"link": "https://s3.amazonaws.com/fs4.fishsource.org/uploads/data_file/file/794/American_sea_scallop_US_Atlantic_20180719033739.xlsm",
"date": "2015-12-08"

|8

"source_of_information": "https://www.fishsource.org/stock _page/653",

"map_infos": [

"https://s3.amazonaws.com/fs4.fishsource.org/uploads/map/kml_path/31/US_Scallop.kml"

]

|3

We also return the correct type for the top level StockOrAssessmentUnit record, eg: Stock, AssessmentUnit, or Unascertained. This is as documented
here: https://www.fishsource.org/apipie/v3/stocks.html

#4 - May 08, 2019 10:45 AM - Susana Segurado

- Assignee changed from Marina Mendes to Merul Patel

We've decided we will implement these rules on our end and modify the API to add a new field "GRSF type".

#5 - May 08, 2019 12:42 PM - Merul Patel
Ticket created and in progress (https://sharespace.sustainablefish.org/issues/15557)

#6 - Jan 28, 2020 11:51 AM - Merul Patel
- Status changed from In Progress to Resolved

- Assignee changed from Merul Patel to Yannis Marketakis

Thew new API has been updated. Please see docs at https:/www.fishsource.org/apipie
